h1,
h2,
h3,
h4 {
	margin: 0;
	padding: 0;
    background: none repeat scroll 0 0 #20375f;   /* 鏂板锛氫负鏍囬鍔犱笂甯﹀簳绾硅竟妗� */
    color: white;                                 /* 鏂板 */
    text-indent: 10px;                            /* 鏂板 */
    border-radius: 6px;                           /* 鏂板 */
}

ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

a {
	text-decoration: underline     /* 灏唍one鏀逛负underline锛屼互渚垮彇娑�"瓒呴摼鎺ユ棤涓嬪垝绾�" */
}

a:active,
a:link,
a:visited {
	color: #0681ba
}

a:hover {
	color: #f60
}

a img {
	border-width: 0
}

table,
tbody,
td,
th,
thead,
tr {
	border-collapse: collapse;
	border: 1px solid silver
}

table {
	width: 100%
}

body {
	position: relative;
	margin: 0;
	padding: 0;
	height: 100%;
	line-height: 1.5;
	background-color: #FFF
}

#home,
#header,
#main,
#footer {
	position: relative;
	display: block;
	margin: 32px 0;
	box-sizing: border-box
}

#home {
	margin: 8px 4px     /* 榛樿杈硅窛锛�48 64 */
}

#main {
	font-size: 0
}

#mainContent {
	position: relative;
	display: inline-block;
	box-sizing: border-box;
	width: 75%;
	vertical-align: top;
	font-size: 14px;
	padding-right: 16px    /* 鍐呭璺濈渚ц竟鏍忚窛绂伙紝榛樿32px */
}

#sideBar {
	position: relative;
	display: inline-block;
	box-sizing: border-box;
	width: 25%;
	vertical-align: top;
	font-size: 14px
}

#footer {
	border-top: 1px solid #0681ba;
	padding-top: 10px;
	text-align: center
}

#header {
	border-bottom: 1px solid #0681ba;
	text-align: right
}

#blogTitle1 {            /*鏂板鏍峰紡(璇峰垹闄よ娈佃惤)锛� 灏哹logTitle鏀逛负浜哹logTitle1 */
    background-color: aliceblue;    /* 涓轰富鏍囬鍜屽壇鏍囬鍔犱笂鑳屾櫙鑹�  */
    padding: 0em 0em 0em 13px;
    text-align: left;            /* 鏍囬宸﹀榻�  */
}

#blogTitle1 .title {        /* 灏哹logTitle鏀逛负浜哹logTitle1 */
	font-size: 32px
}

#blogTitle1 .subtitle {        /* 灏哹logTitle鏀逛负浜哹logTitle1 */
	color: #999;
	font-size: 12px;
	margin: 6px 0
}

#navigator {
	position: relative;
	text-align: left;     /* 榛樿right */;
	background-color: aqua;   /* 鏂板琛岋細瀵艰埅鏍忓姞鑳屾櫙鑹� */
}

#navigator #navList1 {        /* 灏唍avList鏀逛负浜唍avList1 */
	position: relative;
	display: inline-block;
    text-align: left;        /* 瀵艰埅鏍忓乏瀵归綈 */
}

#navigator #navList1 li {        /* 灏唍avList鏀逛负浜唍avList1 */
	display: inline-block;
	background-color: aqua; /* 鏂板琛岋細涓哄鑸垪琛ㄥ潡鍔犺儗鏅壊*/
    font-weight: bold;           /* 鏂板琛岋細涓哄鑸垪琛ㄥ瓧浣撳姞绮� */
}

#navigator .menu {
	display: block;
	/* width: 8em; */         /* 榛樿5em锛屾敞閲婁娇鍏跺彲闅忓唴瀹瑰灏戞敼鍙樺潡澶у皬 */
	font-size: 14px;     /* 榛樿16px */
	padding: 6px 16px;      /* 榛樿6px 0銆備慨鏀�16px浣垮叾閫傚簲鍧楃殑鏄剧ず澶у皬 */
	text-align: center
}

#navigator .menu:hover {
	color: #fff;
	background-color: #0681ba
}

#navigator .blogStats {
	position: absolute;
	display: inline-block;
	left: 0;
	bottom: 6px;
	color: #999;
	font-size: 12px;
	font-style: italic
}

.forFlow {
	position: relative;
	padding: 14px;     /* 鍗氭枃鍐呭鍐呰竟璺濓紝榛樿24px */
	box-shadow: 0 0 2px #ccc
}

#topics {
	position: relative
}

.postBody {
	margin-top: 0
}

#blog_post_info_block {
	position: relative;
	margin-top: 24px
}

#BlogPostCategory {
	position: relative
}

#EntryTag {
	position: relative;
	margin-top: 12px
}

#post_next_prev {
	margin-top: 12px
}

#blog-comments-placeholder {
	position: relative;
	margin-top: 24px
}

#comments_pager_bottom,
#comments_pager_top {
	position: relative;
	text-align: right;
	border-bottom: 1px solid #0681ba
}

.pager {
	display: inline-block;
	background-color: #0681ba;
	font-size: 16px;
	margin-top: 12px;
	padding: 6px;
	margin-bottom: -1px
}

.pager .current {
	padding: 6px;
	margin-right: 6px
}

.pager a {
	color: #FFF;
	padding: 6px;
	margin-right: 6px
}

.pager a:hover {
	background-color: #07628d
}

.feedback_area_title {
	color: #fff;
	font-size: 20px;
	font-weight: 700;
	padding: 6px 12px;
	display: inline-block;
	background-color: #0681ba
}

.feedbackItem {
	margin-top: 12px;
	position: relative;
	border-left: 1px solid #0681ba;
	border-bottom: 1px solid #0681ba;
	padding-bottom: 7px
}

.layer {
	padding: 6px;
	background-color: #0681ba;
	color: #FFF;
	display: inline-block;
	font-size: 16px;
	margin-right: 10px
}

.layer:active,
.layer:hover,
.layer:link,
.layer:visited {
	color: #FFF
}

.blog_comment_body {
	margin: 10px 20px
}

.feedbackManage {
	position: absolute;
	right: 0;
	bottom: 7px
}

.louzhu {
	color: #f60
}

.louzhu+span {
	color: #f60
}

.comment_date {
	margin-right: 10px
}

.comment_actions a,
.comment_bury,
.comment_digg {
	padding: 8px 10px
}

.comment_actions a:hover,
.comment_bury:hover,
.comment_digg:hover {
	background-color: #0681ba;
	color: #fff
}

#comment_form {
	margin-top: 24px
}

#comment_nav {
	border-bottom: 1px solid #0681ba;
	font-size: 16px;
	margin-top: 12px;
	text-align: right
}

#comment_nav a {
	background-color: #0681ba;
	color: #fff;
	display: inline-block;
	margin-left: 6px;
	padding: 6px
}

#comment_nav a:hover {
	background-color: #07628d
}

.entrylistPosttitle,
.postTitl2,
.postTitle {
	border-bottom: 1px dashed #0681ba;
	font-size: 20px;
	padding-bottom: 4px
}

.entrylistItemPostDesc,
.postDesc,
.postDesc2 {
	color: #999;
	font-size: 12px;
	margin-top: 12px;
	text-align: right
}

.entrylistDescription {
	color: #999;
	font-style: italic;
	text-indent: 2em;
	margin: 10px 0
}

.PostList,
.day,
.entrylistItem {
	margin: 20px 0
}

.dayTitle {
	display: none
}

.entrylistPostSummary,
.postCon {
	margin: 10px 0;
	font-size: 14px
}

.topicListFooter {
	margin: 20px;
	text-align: center
}

.post-categoty-tags {
	text-align: right;
	margin-top: 10px;
	font-style: italic;
	color: #999;
	font-size: 12px
}

.post-categoty-tags a {
	font-size: 14px;
	font-style: normal
}

#sideBarMain {
	position: relative
}

.sidebar-block {
	margin: 24px 0
}

.catListTitle {
	color: #999;
	margin-bottom: 8px;
	font-weight: normal
}

h3.catListTitle {      /* 鏂板 */
    background: white;
    color: black;
    text-indent: 0px;
}

.catListTitle span {
	margin-left: 4px
}



#sidebar_search_box .div_my_zzk {
	margin-bottom: 8px
}

#sidebar_search_box .input_my_zzk {
	font-size: 16px
}

#sidebar_search_box .btn_my_zzk {
	margin-left: 8px
}

.recent_comment_title {
	margin-top: 6px
}

.recent_comment_body {
	font-size: 12px
}

.recent_comment_author {
	font-size: 12px;
	text-align: right;
	color: #999
}

#cnblogs_post_body {
	position: relative
}

#cnblogs_post_body h1 {
	font-size: 20px;
	font-weight: 700;
	margin-bottom: 12px;
	margin-top: 12px;
	padding: 6px 6px 6px 0
}

#cnblogs_post_body h2 {
	font-size: 18px;
	font-weight: 700;
	margin-bottom: 12px;
	margin-top: 12px;
	padding: 4px 4px 4px 0
}

#cnblogs_post_body h3 {
	font-size: 16px;
	font-weight: 700;
	margin-bottom: 12px;
	margin-top: 12px;
	padding: 4px 4px 4px 0
}

#cnblogs_post_body img {
	display: block;
	max-width: 100%;
	width: auto;
	margin: 0 auto;  /* 榛樿10px 0锛屼负浜嗗皢鍥剧墖灞呬腑锛屽皢display:inline-block鏀逛负block锛屼笖姝ゅ澶栬竟璺濇敼涓�0 auto */
	padding: 0;
	border-width: 0;
	box-shadow: 0 0 3px #ddd
}

#cnblogs_post_body p {
	font-size: 14px;
	margin: 10px 0 0 0;
	text-indent: 0em;
	width: 100%
}

#cnblogs_post_body li img,
#cnblogs_post_body p img {
	margin: 0;
	display: inline-block;  /* 琛屽唴灏忓浘鐗囦笉鍗曠嫭鎴愯銆傞粯璁ゅ€间负block */
	font-size: 0
}

blockquote {          /* 鏂板鏍峰紡(璇峰垹闄よ娈�)锛氫负寮曠敤鍧楀姞涓婅儗鏅壊 */
    background: #282a36;     /* 棰滆壊锛歝yan */
}

#cnblogs_post_body blockquote {
	/*border-left: 6px solid #eee;    娉ㄩ噴浜嗚琛� */
	color: #2affff;                   /* 榛樿#333榛戣壊瀛椾綋 */
	font-size: 12px;
	/* font-style: normal;         寮曠敤鍧椾腑鏂滀綋鏀规甯革細italic鏀逛负normal */
	/*margin: 10px 0 10px 2em;     娉ㄩ噴浜嗚琛� */
	padding: 6px 12px;
	word-break: break-all
}

#cnblogs_post_body blockquote p {
	margin: 2px 0;
	text-indent: 0;
	padding: 0
}

#cnblogs_post_body ul,
#cnblogs_post_body ol {
	margin: 8px 0;
	margin-left: 20px      /* 鏂板:鍒楄〃甯︾缉杩� */
}

#cnblogs_post_body ol {      /* 鏂板鏍峰紡:甯︽暟瀛楀簭鍒椾笉缂╄繘  */
	padding-left: 0px      
}


#cnblogs_post_body strong {
	font-weight: bold;
	font-size: 15px
}

#blog_post_info {
	position: relative
}

#green_channel {
	position: relative;
	display: inline-block;
	padding: 8px;
	margin-top: 12px;
	border: 1px dashed #999;
	width: unset
}

#green_channel_contact,
#green_channel_digg,
#green_channel_favorite,
#green_channel_follow {
	display: inline-block;
	vertical-align: middle;
	color: #fff;
	padding: 6px 0;
	width: 5em;
	text-align: center;
	margin-right: 12px
}

#green_channel_digg {
	background-color: #2daebf
}

#green_channel_follow {
	background-color: #e33100
}

#green_channel_favorite {
	background-color: #ffb515
}

#green_channel_contact {
	background-color: #555
}

#green_channel_wechat,
#green_channel_weibo {
	display: inline-block;
	vertical-align: middle
}

#green_channel_wechat img,
#green_channel_weibo img {
	width: 24px;
	height: 24px
}

#div_digg {
	position: fixed;
	display: block;
	bottom: 66px;     /*榛樿32*/
	float: unset;
	width: unset;
	margin: 0;
	padding: 12px;
	background-color: #fff;
	box-shadow: 0 0 2px #ccc;
	text-align: center;
	z-index: 1000;
    right: 140px;         /*鏂板锛氳禐 鍙宠竟璺�*/
    border: 2px solid #339900;         /*鏂板*/
}

.follow {      /*鏂板鏍峰紡锛氬湪 璧� 涓嬮潰娣诲姞"鐐规垜鍔犲叧娉�"*/
	position: fixed;
	display: block;
	bottom: 9.333px;
	float: unset;
	width: 139.333px;
	margin: 0;
	padding: 0;
	background-color: #fff;
	box-shadow: 0 0 2px #ccc;
	text-align: center;
	z-index: 1000;
    right: 140px;
    border: 2px solid #339900;
}

/* 鍦ㄩ〉鑴歨tml鏍忎腑鍔犱笂浠ヤ笅鍐呭
<div id="sideBar">
        <div class="follow">
            <a onclick="follow();" href="javascript:void(0);" style="font-weight: bold; padding-left:5px;">馃榾鐐硅繖閲屽叧娉ㄦ垜馃榾</a> 
            <a onclick="lnh.toc.toggle();" href="javascript:void(0);" style="font-weight: bold; padding-left:5px;"><font color="#0000ff">馃榾鎵╁ぇ/缂╁皬椤甸潰馃榾</font></a>  
    <div>
</div>
*/

.buryit,
.diggit {
	position: relative;
	float: unset;
	margin: 0;
	padding: 0;
	display: inline-block;
	background: unset;
	color: #f60;
	width: 48px;
	height: 36px;
	vertical-align: text-bottom;
	font-size: 32px;
	overflow: visible;
}

.buryit::before,
.diggit::before {
	position: absolute;
	font-family: 'FontAwesome';
	left: 0;
	top: 0;
	width: 36px;
	height: 36px;
	line-height: 36px
}

.buryit .diggnum,
.buryit .burynum,
.diggit .diggnum,
.diggit .burynum {
	position: absolute;
	bottom: 0;
	left: 36px;
	font-size: 16px;
	font-style: italic
}

.buryit .diggnum,
.diggit .diggnum {
	color: #ea4335
}

.buryit .burynum,
.diggit .burynum {
	color: #999
}

.buryit:hover,
.diggit:hover {
	font-size: 36px;
	color: #f66
}

.diggit::before {
	content: "\f164"
}

.buryit {
	margin-left: 12px
}

.buryit::before {
	content: "\f165"
}

.diggword {
	margin: 0;
	padding: 0
}

#author_profile {
	position: relative;
	display: block;
	float: unset;
	width: unset
}

#author_profile_info {
	position: relative;
	display: block
}

#author_profile_detail {
	position: relative;
	display: inline-block;
	margin-left: 12px
}

#commentform_title {
	color: #fff;
	font-size: 20px;
	font-weight: 700;
	padding: 6px 12px;
	display: inline-block;
	background: unset;
	background-color: #0681ba
}

.comment_vote {
	text-align: left
}

.commentbox_title {
	position: relative;
	float: unset;
	width: unset
}

.commentbox_title_left {
	position: relative;
	float: unset;
	display: inline-block
}

.commentbox_title_right {
	position: relative;
	float: unset;
	display: inline-block
}

.commentbox_title_right .comment_icon {
	display: inline-block;
	cursor: pointer
}

#tbCommentBody {
	width: 100%;
	height: 160px;
	box-sizing: border-box
}

#btn_comment_submit {
	background-color: #0681ba;
	color: #fff;
	cursor: pointer;
	font-size: 18px;
	padding: 8px;
	width: unset;
	height: unset
}

.cnblogs_code {
	background-color: #F9F9F9;
	border-width: 0
}

div.cnblogs_code {
	/* border-left: 4px solid #73dc77;  */     /* 鍙栨秷浠ｇ爜宸﹁竟妗嗙殑绔栫嚎 */
	margin: 10px 0;
	padding: 8px
}

span.cnblogs_code {
	font-size: 12px !important;
	vertical-align: middle;
	background-color: #efefef;
	padding: 2px 4px;
	margin: 0
}

.cnblogs_code_toolbar {
	display: none
}
.cnblogs_code_hide {
	display: none
}

#footer {
	border-top: 1px solid #0681ba;
	padding-top: 10px;
	text-align: center
}

#MySignature {
	padding: 10px;
	background: #F9F9F9 url(https://images.cnblogs.com/cnblogs_com/grenet/226272/o_o_o_info.png) no-repeat scroll 15px 50%;
	padding-left: 80px
}

#MySignature div {
	line-height: 25px
}

.fixed-bar-warp {
	position: fixed;
	display: block;
	z-index: 9999;
	width: 40px;
	bottom: 24px;
	right: 12px;
	color: #fff;
    border: 3px solid red;     /* 涓哄彸涓嬭鍔犺竟妗� */
}

.fixed-bar-warp .fixed-bar {
	position: relative;
	display: block
}

.fixed-bar-warp .fixed-bar .item {
	display: block;
	text-align: center;
	cursor: pointer
}

.fixed-bar-warp .fixed-bar .item i {
	display: block;
	height: 40px;
	line-height: 40px;
	font-size: 27px
}

.fixed-bar-warp .fixed-bar .item i:hover {
	font-size: 32px
}

.lnh_toc_warp {
	position: fixed;
	display: inline-block;
	left: 0;
	top: 0;
	bottom: 0;
	z-index: 9999;
	background-color: #fff;
	box-shadow: 0 0 2px #ccc;
	line-height: 1.6;
	overflow-y: auto;
	min-width: 200px;        /* 宸︿晶鐩綍瀵艰埅鏍忥細榛樿240px */ 
	max-width: 300px;        /* 宸︿晶鐩綍瀵艰埅鏍忥細榛樿320px */
	overflow-x: auto
}

.lnh_toc_warp .title {
	margin-top: 12px;       /* 宸︿晶鐩綍瀵艰埅鏍忔爣棰橈細榛樿32px */
	padding-left: 12px;
	font-size: 16px
}

.lnh_toc_warp .toc {
	position: relative;
	margin-top: 12px;
	display: block
}

.lnh_toc_warp .toc .item {
	display: block;
	font-size: 12px;
	padding-right: 12px;
	white-space: nowrap
}

.lnh_toc_warp .toc .item-h1 {
	padding-left: 12px;
	line-height: 2
}

.lnh_toc_warp .toc .item-h2 {
	padding-left: 24px;
	line-height: 1.8
}

.lnh_toc_warp .toc .item-h3 {
	padding-left: 36px
}

.lnh_toc_warp .toc .item.current {
	background-color: #0681ba !important;
	color: #fff !important
}

#lnh-profile {
	margin: 12px 0
}

#lnh-profile a {
	line-height: 1.5
}

#lnh-profile i {
	font-size: 14px;
	margin-right: 8px
}